Package csb :: Package statistics :: Package samplers :: Package mc :: Module singlechain :: Class AbstractSingleChainMC

[frames] | no frames]

# Class AbstractSingleChainMC

source code

         object --+
                  |
    AbstractSampler --+
                      |
             AbstractMC --+
                          |
                         AbstractSingleChainMC

Known Subclasses:
  - AbstractNCMCSampler
  - , HMCSampler
  - , RWMCSampler

Abstract class for Monte Carlo sampling algorithms simulating only one ensemble.

Nested Classes
Inherited from `AbstractSampler`: `__metaclass__`

Instance Methods

__init__(self, pdf, state, temperature=1.0) x.__init__(...) initializes x; see help(type(x)) for signature | source code

State

sample(self) Draw a sample. | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| __abstractmethods__ = ``frozenset([``'``_calc_pacc``'``,` `'``_propose``'``])``

Properties
| acceptance_rate Acceptance rate.
float | energy Negative log-likelihood of the current state.
| last_move_accepted Information whether the last MC move was accepted or not.
| temperature
Inherited from `AbstractMC`: `state` Inherited from `object`: `__class__`

Method Details

### __init__(self, pdf, state, temperature=1.0)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `pdf` (subclass of csb.statistics.pdf.AbstractDensity) - probability density function to sample from
  - `state` (State) - Initial state
  - `temperature` (float) - Pseudo-temperature of the Boltzmann ensemble p(x) = 1/N * exp(-1/T * E(x)) with the pseudo-energy defined as E(x) = -log(p(x)) where p(x) is the PDF under consideration
Overrides: object.__init__
  (inherited documentation)

### sample(self)

source code

Draw a sample.

Returns: State
Overrides: AbstractSampler.sample

Property Details

### acceptance_rate

Acceptance rate.

Get Method:
  unreachable.acceptance_rate(self) - Acceptance rate.

### energy

Negative log-likelihood of the current state.

Get Method:
  unreachable.energy(self) - Negative log-likelihood of the current state.
Type:
  float

### last_move_accepted

Information whether the last MC move was accepted or not.

Get Method:
  unreachable.last_move_accepted(self) - Information whether the last MC move was accepted or not.

### temperature

Get Method:
  unreachable.temperature(self)